<%@ page import="java.net.URL"%>
<%@ page import="java.io.InputStream"%>
<%@ page import="edu.sdsc.inca.Component"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="sql.tld" prefix="sql" %>


<html>
<head>
  <link href="css/inca.css" rel="stylesheet" type="text/css"/>
</head>

<%
  String pfile = "jsp.properties";
  URL propfile = ClassLoader.getSystemClassLoader().getResource(pfile);
  if (propfile == null){ %>
<h3>Can't find <%=pfile%> file.</h3>
<% } else {
  InputStream propStream = Component.openResourceStream(propfile.getPath());
  if (propStream == null) { %>
<h3>Can't read <%=pfile%> file.</h3>
<% } else {  %>
<%@ include file="dbConnect.jspinc" %>
<%
  String helpEmail = props.getProperty("email.help");
  String series = request.getParameter("series");
  String host = request.getParameter("host");
  String nickname = request.getParameter("nickname");
  String comment = request.getParameter("comment");
  String author = request.getParameter("author");
  String protocol = request.getScheme().toString();
%>
<% if ( !protocol.equals("https") ) { %>
<h3>This page requires SSL.</h3>
<% } else {
  if ( author == null || comment == null ||
      (author.equals("") && comment.equals("")) ){ %>
<table cellpadding="4">
  <tr><td><h3>Comment for the "<%=nickname%>" series on <%=host%></h3>
    <p>Please email <%=helpEmail%> with problems using this form.</p>
  </td></tr>
  <form method="post" action="addDbCommentsForm.jsp">
    <tr><td class="header">Comment:</td></tr>
    <tr>
      <td>
        <textarea name="comment" cols="50" rows="10"><%=comment%></textarea>
        <br/>
      </td>
    </tr>
    <tr><td class="header">Name or email:</td></tr>
    <tr>
      <td>
        <input name="author" type="text" size="50" value="<%=author%>">
        <br/>
      </td>
    </tr>
    <tr><td>
      <input type="hidden" name="series" value="<%=series%>"/>
      <input type="hidden" name="host" value="<%=host%>"/>
      <input type="hidden" name="nickname" value="<%=nickname%>"/>
      <input type="submit" name="Submit" value="add comment"/>
    </td></tr>
  </form>
</table>
<% } else {
  java.util.Date date = new java.util.Date();
  java.text.SimpleDateFormat fmt =
      new java.text.SimpleDateFormat("MM-dd-yy, K:mm a (zz)");
  String entered = fmt.format(date);
  out.println("<p>The following comment has been added.  Please email "
      + helpEmail + " with any problems.  <br><br><b>Date:</b> " + entered +
      "<br><br><b>Author:</b> " + author +
      "<br><br><b>Comment:</b> <pre>" + comment + "</pre></p>");

  String subject = "New Inca Comment for " + nickname + " on " + host;
  String email = "echo \"Author: " + author + "\n\nComment: " + comment +
      "\" | mail -s \"" + subject + "\" inca@sdsc.edu";
  String[] shmail = {"/bin/sh", "-c", email};
  Runtime.getRuntime().exec(shmail);  %>
<sql:update var="insertcomments" dataSource="${db}">
  INSERT INTO incaseriesconfigcomments (incaentered,
  incaseriesconfigid, incaauthor, incacomment)
  VALUES ('<%=entered%>', '<%=series%>', ?, ?);
  <sql:param value="${param['author']}"/>
  <sql:param value="${param['comment']}"/>
</sql:update>
<% }
}
}
}%>
</html>
